function init(hero) {

    hero.setName("Robin");

    hero.setVersion("\u00A76\u00A7lClassic\u00A7r");

    hero.setTier(3);

    

    hero.setHelmet("Mask");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Pants");

    hero.setBoots("Boots");

    hero.addPrimaryEquipment("fiskheroes:bo_staff", true);

    hero.addEquipment("fiskheroes:grappling_gun");

    

    hero.addPowers("fiskheroes:batsuit");

    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);

    hero.addAttribute("WEAPON_DAMAGE", 2.5, 0);

    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);

    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);

    hero.addAttribute("SPRINT_SPEED", 0.2, 1);

    

    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);

    

    hero.setDefaultScale(0.9);

    hero.setHasProperty(hasProperty);

    hero.setHasPermission(hasPermission);

}

function hasProperty(entity, property) {

    return property == "MASK_TOGGLE";

}

function hasPermission(entity, permission) {

    return permission == "USE_GRAPPLING_GUN";

}

